package util

import (
	"cicv-data-closedloop/pji/common/log"
	"os"
	"path/filepath"
)

func CreateDir(directory string) {
	// 检查目录是否存在
	if _, err := os.Stat(directory); os.IsNotExist(err) {
		// 如果目录不存在，创建父目录
		err := os.MkdirAll(directory, os.ModePerm)
		if err != nil {
			log.GlobalLogger.Info("创建目录时发生错误", err)
		}
	}
}

// CreateParentDir 存在不创建，不存在则创建父目录
func CreateParentDir(filePath string) error {
	if err := os.MkdirAll(filepath.Dir(filePath), os.ModePerm); err != nil {
		return err
	}
	return nil
}
